View Issue Details

IDProjectCategoryView StatusLast Update
0000862SOGoWeb Generalpublic2010-09-27 16:48
Reportersmarth Assigned Tofrancis  
PrioritynormalSeveritytextReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.2 
Fixed in Version1.3.3 
Summary0000862: German localization fix
Description

Attached: German localization fix for changes in 1.3.2.

TagsNo tags attached.

Activities

2010-09-26 12:44

 

sogo-1.3.2-lang-de.diff (14,742 bytes)   
diff -uNr a/UI/MailerUI/German.lproj/Localizable.strings b/UI/MailerUI/German.lproj/Localizable.strings
--- a/UI/MailerUI/German.lproj/Localizable.strings	2010-09-21 20:52:48.000000000 +0200
+++ b/UI/MailerUI/German.lproj/Localizable.strings	2010-09-23 15:54:36.000000000 +0200
@@ -110,9 +110,9 @@
 "Load Images" = "Bilder laden";
 
 "Return Receipt" = "Empfangsbestätigung";
-"The sender of this message has asked to be notified when you read this message. Do you with to notify the sender?" = "The sender of this message has asked to be notified when you read this message. Do you with to notify the sender?";
-"Return Receipt (displayed) - %@"= "Return Receipt (displayed) - %@";
-"This is a Return Receipt for the mail that you sent to %@.\n\nNote: This Return Receipt only acknowledges that the message was displayed on the recipient's computer. There is no guarantee that the recipient has read or understood the message contents." = "This is a Return Receipt for the mail that you sent to %@.\n\nNote: This Return Receipt only acknowledges that the message was displayed on the recipient's computer. There is no guarantee that the recipient has read or understood the message contents.";
+"The sender of this message has asked to be notified when you read this message. Do you with to notify the sender?" = "Der Absender dieser Nachricht hat eine Empfangsbestätigung angefordert. Wollen Sie eine Empfangsbestätigung senden?";
+"Return Receipt (displayed) - %@"= "Empfangsbestätigung (angezeigt) - %@";
+"This is a Return Receipt for the mail that you sent to %@.\n\nNote: This Return Receipt only acknowledges that the message was displayed on the recipient's computer. There is no guarantee that the recipient has read or understood the message contents." = "Dies ist die Empfangsbestätigung für die Nachricht, die Sie an %@ gesendet haben.\n\nHinweis: Es wird lediglich bestätigt, dass die Nachricht auf dem Computer des Empfängers empfangen (angezeigt) wurde. Es wird nicht garantiert, dass der Empfänger die Nachricht gelesen und/oder verstanden hat.";
 
 "Priority" = "Priorität";
 "highest" = "Sehr hoch";
@@ -274,7 +274,7 @@
 
 /* Message operations */
 "The messages could not be moved to the trash folder. Would you like to delete them immediately?"
-= "The messages could not be moved to the trash folder. Would you like to delete them immediately?";
+= "Die Nachricht kann nicht in den Papierkorb verschoben werden. Wollen Sie sie endgültig löschen?";
 
 /* Message editing */
 "error_validationfailed" = "Prüfung ist fehlgeschlagen!";
diff -uNr a/UI/MainUI/German.lproj/Locale b/UI/MainUI/German.lproj/Locale
--- a/UI/MainUI/German.lproj/Locale	2010-09-21 20:52:48.000000000 +0200
+++ b/UI/MainUI/German.lproj/Locale	2010-09-26 12:42:15.000000000 +0200
@@ -7,7 +7,7 @@
   NSParentContext = "";
 
   NSCurrencySymbol = " €";
-  NSDateFormatString = "%A %e %B %Y";
+  NSDateFormatString = "%A, %d. %B %Y";
   NSDateTimeOrdering = DMYH;
   NSDecimalDigits = ("0", "1", "2", "3", "4", "5", "6", "7", "8", "9");
   NSDecimalSeparator = ",";
@@ -19,17 +19,17 @@
   NSNextDayDesignations = (morgen);
   NSNextNextDayDesignations = ("übermorgen");
   NSPriorDayDesignations = (gestern);
-  NSShortDateFormatString = "%e/%m/%y";
+  NSShortDateFormatString = "%d.%m.%Y";
   NSShortMonthNameArray = (Jan, Feb, "Mär", Apr, Mai, Jun, Jul, Aug, Sep, Okt, Nov, Dez);
-  NSShortTimeDateFormatString = "%e/%m/%y %H:%M";
-  NSShortWeekDayNameArray = (Son, Mon, Die, Mit, Don, Fre, Sam);
+  NSShortTimeDateFormatString = "%d.%m.%Y %H:%M";
+  NSShortWeekDayNameArray = (So, Mo, Di, Mi, Do, Fr, Sa);
   NSThisDayDesignations = ("heute");
-  NSThousandsSeparator = " "; /* space */
-  NSTimeDateFormatString = "%A %e %B %Y %H:%M:%S %Z";
+  NSThousandsSeparator = ".";
+  NSTimeDateFormatString = "%A, %d. %B %Y %H:%M:%S %Z";
   NSTimeFormatString = "%H:%M:%S"; /* no space before and after colons*/
   NSWeekDayNameArray = (Sonntag, Montag, Dienstag, Mittwoch, Donnerstag, Freitag, Samstag);
   NSYearMonthWeekDesignations = (Jahr, Monat, Woche);
   NSAMPMDesignation = (AM, PM);
-  NSPositiveCurrencyFormatString = "9,999.00$";
-  NSNegativeCurrencyFormatString = "-9,999.00$";
+  NSPositiveCurrencyFormatString = "9.999,00€";
+  NSNegativeCurrencyFormatString = "-9.999,00€";
 }
diff -uNr a/UI/MainUI/German.lproj/Localizable.strings b/UI/MainUI/German.lproj/Localizable.strings
--- a/UI/MainUI/German.lproj/Localizable.strings	2010-09-21 20:52:48.000000000 +0200
+++ b/UI/MainUI/German.lproj/Localizable.strings	2010-09-24 11:40:48.000000000 +0200
@@ -40,16 +40,16 @@
 Parts of this software are distributed under the GNU LGPL version 2.<br/><br/>
 This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.";
 
-"Your account was locked due to too many failed attempts." = "Ihr Account wurde wegen zu vieler fehlgeschlagener Versuche gesperrt.";
-"Your account was locked due to an expired password." = "Ihr Account wurde wegen eines abgelaufenen Passworts gesperrt.";
-"Login failed due to unhandled error case: " = "Login aufgrund eines unbehandelten Fehlers fehlgeschlagen: ";
+"Your account was locked due to too many failed attempts." = "Ihr Konto wurde wegen zu vieler fehlgeschlagener Versuche gesperrt.";
+"Your account was locked due to an expired password." = "Ihr Konto wurde wegen eines abgelaufenen Passworts gesperrt.";
+"Login failed due to unhandled error case: " = "Die Anmeldung ist aufgrund eines unbehandelten Fehlers fehlgeschlagen: ";
 "Change your Password" = "Password ändern";
-"Your password has expired, please enter a new one below:" = "Ihr Passwort ist abgelaufen, bitte geben Sie ein neues an:";
+"Your password has expired, please enter a new one below:" = "Ihr Passwort ist abgelaufen. Bitte geben Sie ein neues an:";
 "Password must not be empty." = "Passwort darf nicht leer sein.";
-"The passwords do not match. Please try again." = "Die Passwörter stimmen nicht überein. Bitte nochmal eingeben.";
-"Password Grace Period" = "Passwort Schonfrist";
-"You have %{0} logins remaining before your account is locked. Please change your password in the preference dialog." = "Sie haben %{0} Logins übrig, bevor Ihr Account gesperrt wird. Bitte ändern Sie das Passwort im Einstellungsdialog.";
-"Password about to expire" = "Passwort läuft bald ab";
+"The passwords do not match. Please try again." = "Die Passwörter stimmen nicht überein. Bitte noch einmal eingeben.";
+"Password Grace Period" = "Passwort-Schonfrist";
+"You have %{0} logins remaining before your account is locked. Please change your password in the preference dialog." = "Sie haben noch %{0} Anmeldeversuch(e) bevor Ihr Konto gesperrt wird. Bitte ändern Sie das Passwort im Einstellungsdialog.";
+"Password about to expire" = "Ihr Passwort läuft bald ab";
 "Your password is going to expire in %{0} %{1}." = "Ihr Passwort läuft ab in %{0} %{1}.";
 "days" = "Tagen";
 "hours" = "Stunden";
@@ -60,7 +60,7 @@
 "Password change failed - Insufficient password quality" = "Passwortänderung fehlgeschlagen - Passwortqualität nicht ausreichend";
 "Password change failed - Password is too short" = "Passwortänderung fehlgeschlagen - Passwort ist zu kurz";
 "Password change failed - Password is too young" = "Passwortänderung fehlgeschlagen - Passwort ist zu jung";
-"Password change failed - Password is in history" = "Passwortänderung fehlgeschlagen - Passwort bereits früher verwendet";
+"Password change failed - Password is in history" = "Passwortänderung fehlgeschlagen - Passwort wurde bereits früher verwendet";
 "Unhandled policy error: %{0}" = "Unbehandelter Richtlinienfehler: %{0}";
 "Unhandled error response" = "Unbehandelte Fehlerantwort";
 "Password change is not supported." = "Passwortänderung wird nicht unterstützt.";
diff -uNr a/UI/PreferencesUI/German.lproj/Localizable.strings b/UI/PreferencesUI/German.lproj/Localizable.strings
--- a/UI/PreferencesUI/German.lproj/Localizable.strings	2010-09-21 20:52:48.000000000 +0200
+++ b/UI/PreferencesUI/German.lproj/Localizable.strings	2010-09-26 12:38:48.000000000 +0200
@@ -6,7 +6,7 @@
 "General" = "Allgemein";
 "Calendar Options" = "Kalender";
 "Mail Options" = "E-Mail";
-"IMAP Accounts" = "IMAP Accounts";
+"IMAP Accounts" = "IMAP-Konten";
 "Vacation" = "Abwesenheit";
 "Forward" = "Weiterleitung";
 "Password" = "Passwort";
@@ -39,39 +39,34 @@
 "Long Date Format :" = "Langes Datumsformat:";
 "Time Format :" = "Zeitformat:";
 
-"default" = "Default";
+"default" = "Standard";
 
-"shortDateFmt_0" = "%d-%b-%y";
-
-"shortDateFmt_1" = "%d-%m-%y";
-"shortDateFmt_2" = "%d/%m/%y";
-"shortDateFmt_3" = "%e/%m/%y";
-
-"shortDateFmt_4" = "%d-%m-%Y";
-"shortDateFmt_5" = "%d/%m/%Y";
-
-"shortDateFmt_6" = "%m-%d-%y";
-"shortDateFmt_7" = "%m/%d/%y";
-"shortDateFmt_8" = "%m/%e/%y";
-
-"shortDateFmt_9" = "%y-%m-%d";
-"shortDateFmt_10" = "%y/%m/%d";
-"shortDateFmt_11" = "%y.%m.%d";
-
-"shortDateFmt_12" = "%Y-%m-%d";
-"shortDateFmt_13" = "%Y/%m/%d";
-"shortDateFmt_14" = "%Y.%m.%d";
-
-"shortDateFmt_15" = "";
+"shortDateFmt_0" = "%d.%m.%Y";
+"shortDateFmt_1" = "%e.%m.%Y";
+"shortDateFmt_2" = "%d.%m.%y";
+"shortDateFmt_3" = "%e.%m.%y";
+"shortDateFmt_4" = "%Y-%m-%d";
+"shortDateFmt_5" = "%d. %b. %Y";
+"shortDateFmt_6" = "%e. %b. %Y";
+"shortDateFmt_7" = "%d. %b. %y";
+"shortDateFmt_8" = "%e. %b. %y";
+"shortDateFmt_9" = "";
    
-"longDateFmt_0" = "%A %e %B %Y";
-"longDateFmt_1" = "%e %b. %Y";
-"longDateFmt_2" = "%e %B %Y";
-"longDateFmt_3" = "";
+"longDateFmt_0" = "%A, %d. %B %Y";
+"longDateFmt_1" = "%A, %e. %B %Y";
+"longDateFmt_2" = "%a. %d. %B %Y";
+"longDateFmt_3" = "%a. %e. %B %Y";
+"longDateFmt_4" = "%A, %d. %b. %Y";
+"longDateFmt_5" = "%A, %e. %b. %Y";
+"longDateFmt_6" = "%a. %d. %b. %Y";
+"longDateFmt_7" = "%a. %e. %b. %Y";
+"longDateFmt_8" = "%d. %B %Y";
+"longDateFmt_9" = "%e. %B %Y";
+"longDateFmt_10" = "";
 
 "timeFmt_0" = "%H:%M";
-"timeFmt_1" = "%H.%M";
-"timeFmt_2" = "%H h. %M";
+"timeFmt_1" = "%Hh:%Mm";
+"timeFmt_2" = "%Hh %Mm";
 "timeFmt_3" = "";
 
 /* calendar */
@@ -128,20 +123,23 @@
 "composemessagestype_text" = "Reintext";
 
 /* IMAP Accounts */
-"New Mail Account" = "New Mail Account";
+"New Mail Account" = "Neues Mail-Konto";
 
-"Server Name:" = "Server Name:";
+"Server Name:" = "Servername:";
 "Port:" = "Port:";
-"User Name:" = "User Name:";
+"Encryption:" = "Verschlüsselung:";
+"None" = "Keine";
+"User Name:" = "Benutzername:";
 "Password:" = "Passwort:";
  
-"Full Name:" = "Full Name:";
-"Email:" = "Email:";
+"Full Name:" = "Name:";
+"Email:" = "E-Mail-Adresse:";
 "Signature:" = "Signatur:";
-"(Click to create)" = "(Click to create)";
+"(Click to create)" = "(Klick zum Erstellen)";
 
 "Signature" = "Signatur";
-"Please enter your signature below:" = "Please enter your signature below:";
+"Please enter your signature below:" = "Bitte fügen Sie die Signatur hier ein:";
+"Cancel" = "Abbrechen";
 
 /* Additional Parameters */
 "Additional Parameters" = "Zusätzliche Einstellungen";
@@ -179,16 +177,16 @@
 "Welsh" = "Cymraeg";
 
 /* Return receipts */
-"When I receive a request for a return receipt:" = "When I receive a request for a return receipt:";
-"Never send a return receipt" = "Never send a return receipt";
-"Allow return receipts for some messages" = "Allow return receipts for some messages";
-"If I'm not in the To or Cc of the message:" = "If I'm not in the To or Cc of the message:";
-"If the sender is outside my domain:" = "If the sender is outside my domain:";
-"In all other cases:" = "In all other cases:";
-
-"Never send" = "Never send";
-"Always send" = "Always send";
-"Ask me" = "Ask me";
+"When I receive a request for a return receipt:" = "Wenn ich die Anforderung einer Empfangsbestätigung erhalte:";
+"Never send a return receipt" = "Niemals eine Beatätigung senden";
+"Allow return receipts for some messages" = "Erlaube eine Bestätigung für einige Nachrichten";
+"If I'm not in the To or Cc of the message:" = "Wenn ich nicht in An oder Cc der Nachricht bin:";
+"If the sender is outside my domain:" = "Wenn der Absender außerhalb meiner Domain ist:";
+"In all other cases:" = "In allen anderen Fällen:";
+
+"Never send" = "Niemals senden";
+"Always send" = "Immer senden";
+"Ask me" = "Mich fragen";
 
 /* Filters - UIxPreferences */
 "Filters" = "Filter";
@@ -228,8 +226,8 @@
 "does not contain" = "enthält nicht";
 "matches" = "ist gleich";
 "does not match" = "ist nicht gleich";
-"matches regex" = "matches regex";
-"does not match regex" = "does not match regex";
+"matches regex" = "entspricht regulären Ausdrücken";
+"does not match regex" = "entspricht nicht regulären Ausdrücken";
 
 "Seen" = "Gelesen";
 "Deleted" = "Gelöscht";
diff -uNr a/UI/Scheduler/German.lproj/Localizable.strings b/UI/Scheduler/German.lproj/Localizable.strings
--- a/UI/Scheduler/German.lproj/Localizable.strings	2010-09-21 20:52:49.000000000 +0200
+++ b/UI/Scheduler/German.lproj/Localizable.strings	2010-09-24 12:01:07.000000000 +0200
@@ -406,11 +406,11 @@
 "reminder_END" = "der Termin endet";
 "Reminder Details" = "Erinnerungsdetails";
 
-"Choose a Reminder Action" = "Choose a Reminder Action";
-"Show an Alert" = "Show an Alert";
-"Send an E-mail" = "Send an E-mail";
-"Email Organizer" = "Email Organizer";
-"Email Attendees" = "Email Attendees";
+"Choose a Reminder Action" = "Wählen Sie eine Erinnerungsoption";
+"Show an Alert" = "Alarm anzeigen";
+"Send an E-mail" = "Eine E-Mail senden";
+"Email Organizer" = "E-Mail an Organisator";
+"Email Attendees" = "E-Mail an Teilnehmer";
 
 "zoom_400" = "400%";
 "zoom_200" = "200%";
@@ -554,8 +554,8 @@
 "tagHasChanged" = "Wenn der Tag des Kalenders geändert wird, müssen die Daten erneut auf das Mobilgerät geladen werden.\nFortfahren?";
 "tagWasAdded" = "Wenn der Kalender synchronisiert werden soll, müssen die Daten erneut auf das Mobilgerät geladen werden.\nFortfahren?";
 "tagWasRemoved" = "Wenn der Kalender aus der Synchronisation entfernt wird, müssen die Daten erneut auf das Mobilgerät geladen werden.\nFortfahren?";
-"DestinationCalendarError" = "The source and destination calendars are the same. Please try to copy to a different calendar.";
-"EventCopyError" = "The copy failed. Please try to copy to a difference calendar.";
+"DestinationCalendarError" = "Quell- und Zielkalender sind identisch. Bitte kopieren Sie in einen anderen Kalender.";
+"EventCopyError" = "Kopieren fehlgeschlagen. Bitte kopieren Sie in einen anderen Kalender.";
 
 "Open Task..." = "Aufgabe öffnen...";
 "Mark Completed" = "Als abgeschlossen markieren";
@@ -567,4 +567,4 @@
 "Web Calendar" = "Web-Kalender";
 
 "Reload on login" = "Bei Anmeldung neu laden";
-"Invalid number." = "Invalid number.";
+"Invalid number." = "Ungültige Nummer.";
sogo-1.3.2-lang-de.diff (14,742 bytes)   
smarth

smarth

2010-09-27 15:17

reporter   ~0001518

Sorry, found some misspellings:

"Change your Password" = "Password ändern";
should be
"Change your Password" = "Passwort ändern";

"Your password is going to expire in %{0} %{1}." = "Ihr Passwort läuft ab in %{0} %{1}.";
should be
"Your password is going to expire in %{0} %{1}." = "Ihr Passwort läuft in %{0} %{1} ab.";

ciao
smarth

francis

francis

2010-09-27 16:48

administrator   ~0001519

Thanks! It's pushed in trunk.

Issue History

Date Modified Username Field Change
2010-09-26 12:44 smarth New Issue
2010-09-26 12:44 smarth File Added: sogo-1.3.2-lang-de.diff
2010-09-27 13:35 francis Status new => assigned
2010-09-27 13:35 francis Assigned To => francis
2010-09-27 15:17 smarth Note Added: 0001518
2010-09-27 16:48 francis Note Added: 0001519
2010-09-27 16:48 francis Status assigned => resolved
2010-09-27 16:48 francis Fixed in Version => 1.3.3
2010-09-27 16:48 francis Resolution open => fixed